<?php
add_action( 'vc_before_init', 'rockon_contact_WITHVS' );
function rockon_contact_WITHVS() {
   vc_map( array(
      "name" => __("Rockon contact",'rockon'),
      "base" => "rockon_contact_post",
      "class" => "",
      "category" => __('Content','rockon'),
      'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
      'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
      "params" => array(
		array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __("Title",'rockon'),
            "param_name" => "title",
            "value" => __("Contact",'rockon'),
            "description" => __("Title text Here.",'rockon')
         )
      )
   ) );
}
add_shortcode( 'rockon_contact_post', 'rockon_contact_post_func' );
function rockon_contact_post_func( $atts ) { // New function parameter $content is added!
   extract( shortcode_atts( array( 
	'title' => 'title'
   ), $atts ) );
   get_template_part('include/theme-contact-temp');   
}
?>